## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class ArrayCollectionInitializor

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<Object[]>
          org.hibernate.envers.entities.mapper.relation.lazy.initializor.ArrayCollectionInitializor

All Implemented Interfaces:
  Initializor<Object[]>

    public class ArrayCollectionInitializor

extends AbstractCollectionInitializor<Object[]>

Initializes a map.

Author:
  Adam Warski (adam at warski dot org)

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`entityInstantiator, revision`

Constructor Summary
`ArrayCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData)`

Method Summary
`protected void` `addToCollection(Object[] collection, Object collectionRow)`
`protected Object[]` `initializeCollection(int size)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayCollectionInitializor

    public ArrayCollectionInitializor(AuditConfiguration verCfg,
                                      AuditReaderImplementor versionsReader,
                                      RelationQueryGenerator queryGenerator,
                                      Object primaryKey,
                                      Number revision,
                                      MiddleComponentData elementComponentData,
                                      MiddleComponentData indexComponentData)

Method Detail

### initializeCollection

    protected Object[] initializeCollection(int size)

  Specified by:
    `initializeCollection` in class `AbstractCollectionInitializor<Object[]>`

### addToCollection

    protected void addToCollection(Object[] collection,
                                   Object collectionRow)

  Specified by:
    `addToCollection` in class `AbstractCollectionInitializor<Object[]>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.